package cn.axzo.msg.center.inside.notices.service.umeng.ios;

import cn.axzo.msg.center.inside.notices.service.umeng.IOSNotification;
import org.json.JSONObject;

public class IOSGroupcast extends IOSNotification {

  public IOSGroupcast(String appkey, String CmpAndroidSecret) throws Exception {
    setCmpAndroidSecret(CmpAndroidSecret);
    setPredefinedKeyValue("appkey", appkey);
    this.setPredefinedKeyValue("type", "groupcast");
  }

  public void setFilter(JSONObject filter) throws Exception {
    setPredefinedKeyValue("filter", filter);
  }
}
